CO_LSSslave_t Struct Reference
CANopen_305 » LSS Slave

LSS slave object. More...

`#include <CO_LSSslave.h>`

## Data Fields

CO_LSS_address_t | lssAddress
| From CO_LSSslave_init.
CO_LSS_state_t | lssState
| CO_LSS_state_t
CO_LSS_address_t | lssSelect
| Received LSS Address by select.
CO_LSS_address_t | lssFastscan
| Received LSS Address by fastscan.
uint8_t | fastscanPos
| Current state of fastscan.
uint16_t * | pendingBitRate
| Bit rate value that is temporarily configured.
uint8_t * | pendingNodeID
| Node ID that is temporarily configured.
uint8_t | activeNodeID
| Node ID used at the CAN interface.
volatile void * | sendResponse
| Variable indicates, if LSS response has to be sent by mainline processing function.
CO_LSS_cs_t | service
| Service, which will have to be processed by mainline processing function.
uint8_t | CANdata [8]
| Received CAN data, which will be processed by mainline processing function.
void(* | pFunctSignalPre )(void *object)
| From CO_LSSslave_initCallbackPre() or NULL.
void * | functSignalObjectPre
| Pointer to object.
bool_t(* | pFunctLSScheckBitRate )(void *object, uint16_t bitRate)
| From CO_LSSslave_initCheckBitRateCallback() or NULL.
void(* | pFunctLSSactivateBitRate )(void *object, uint16_t delay)
| Pointer to object. More...
bool_t(* | pFunctLSScfgStore )(void *object, uint8_t id, uint16_t bitRate)
| Pointer to object. More...
CO_CANmodule_t * | CANdevTx
| Pointer to object. More...
CO_CANtx_t * | TXbuff
| CAN transmit buffer.

## Detailed Description

LSS slave object.

## Field Documentation

## pFunctLSSactivateBitRate

void(* CO_LSSslave_t::pFunctLSSactivateBitRate) (void *object, uint16_t delay)

Pointer to object.

From CO_LSSslave_initActivateBitRateCallback() or NULL. Delay is in ms

## pFunctLSScfgStore

bool_t(* CO_LSSslave_t::pFunctLSScfgStore) (void *object, uint8_t id, uint16_t bitRate)

Pointer to object.

From CO_LSSslave_initCfgStoreCallback() or NULL

## CANdevTx

CO_CANmodule_t* CO_LSSslave_t::CANdevTx

Pointer to object.

From CO_LSSslave_init()

The documentation for this struct was generated from the following file:

- 305/CO_LSSslave.h